﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cruiser.Entities
{
    /// <summary>
    /// Класс-сущность "Крейсер"
    /// </summary>
    public class EntityCruiser
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Второстепенный цвет
        /// </summary>
        public Color SecondColor { get; private set; }
        /// <summary>
        /// Шаг перемещения Крейсера
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес Крейсера</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="secColor">Второстепенный цвет</param>
        public EntityCruiser(int speed, double weight, Color bodyColor, Color secColor)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            SecondColor = secColor;
        }
    }
}
