﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cruiser.Entities
{
    public class EntityProCruiser : EntityCruiser 
    {
        /// <summary>
        /// Элементов цвет
        /// </summary>
        public Color ElementsColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия ракетных шахт
        /// </summary>
        public bool RocketMines { get; private set; }
        /// <summary>
        /// Признак (опция) наличия вертолётной площадки
        /// </summary>
        public bool Helipad { get; private set; }
        /// <summary>
        /// Инициализация полей объекта-класса спортивного крейсера
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес Крейсера</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="secColor">Второстепенный цвет</param>
        /// <param name="elemColor">Элементов цвет</param>
        /// <param name="rocketMines">Признак наличия ракетных шахт</param>
        /// <param name="helipad">Признак наличия вертолётной площадки</param>
        public EntityProCruiser(int speed, double weight, Color bodyColor, Color secColor, Color elemColor, bool rocketMines, bool helipad) : 
            base(speed, weight, bodyColor, secColor)
        {
            RocketMines = rocketMines;
            Helipad = helipad;
            ElementsColor = elemColor;
        }
}
}
